import { defineStore } from "pinia";
import { computed } from "vue";

export const navigationStore = defineStore("navigation", () => {
  const navigationStructure = Object.freeze([
    {
      type: "single",
      title: "Dashboard",
      name: "DashboardPage",
      icon: "mdi-monitor-dashboard",
      disable: false,
      permission: true,
    },
  ]);

  const navigationItems = computed(() => navigationStructure);

  return {
    navigationItems,
  };
});
